<?php
namespace Incoviba\Repository\Inmobiliaria;

use Incoviba\Common\Define;
use Incoviba\Model;
use Incoviba\Repository;

class TipoAgente extends Repository\Tipo
{
    public function __construct(Define\Connection $connection)
    {
        parent::__construct($connection);
        $this->setTable('tipo_agente');
    }

    protected function getBlank(): Model\Inmobiliaria\TipoAgente
    {
        return new Model\Inmobiliaria\TipoAgente();
    }
}
